Public Class DNLDStile
    Private player9 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("c:/users/" & Environment.UserName & "/downloads")
    End Sub

    Private Sub PlayAccentSound()
        Try
            player9.Volume = 1.0
            player9.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player9.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            dwnldst.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try


        Dim colortile3Timer = New System.Windows.Threading.DispatcherTimer()
        AddHandler colortile3Timer.Tick, AddressOf colortile3Timer_Tick
        colortile3Timer.Interval = New TimeSpan(0, 0, 1)
        colortile3Timer.Start()
    End Sub

    Private Sub colortile3Timer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            dwnldst.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub
End Class
